Debian Bug report logs - #521044
virtinst: virt-install should provide --vncip=IP option

version graph

Package: virtinst; Maintainer for virtinst is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>; Source for virtinst is src:virt-manager.

Reported by: Cyril Bouthors <cyb@debian.org>

Date: Tue, 24 Mar 2009 14:45:02 UTC

Severity: wishlist

Tags: fixed-upstream

Found in version virtinst/0.400.3-1

Fixed in version virtinst/0.500.0-3

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.redhat.com/show_bug.cgi?id=493807

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cyril Bouthors <cyb@debian.org>, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#521044; Package virtinst. (Tue, 24 Mar 2009 14:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyb@debian.org>:
New Bug report received and forwarded. Copy sent to Cyril Bouthors <cyb@debian.org>, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Tue, 24 Mar 2009 14:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyb@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: virtinst: virement-install should provide --vncip=IP option
Date: Tue, 24 Mar 2009 15:42:02 +0100
Package: virtinst
Version: 0.400.3-1
Severity: wishlist

'virt-install --vnc' only opens by default a port on 127.0.0.1 and the
VM can't be remotely accessed through the VNC server.

The only way to change it is to apply the following procedure:

 - virt-install --vnc --name foo ...
 - virsh destroy foo
 - virsh dumpxml foo > /tmp/foo.xml
 - vi /tmp/foo.xml
 - add "listen='IP'" in <graphics>, save, quit
 - virsh define /tmp/foo.xml
 - virsh start foo

I guess it would be nice to add an option called "--vncip VNCIP" to
virt-install like the actual "--vncport=VNCPORT".

Thanks.

-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages virtinst depends on:
ii  python                      2.5.4-2      An interactive high-level object-o
ii  python-libvirt              0.6.1-1      libvirt Python bindings
ii  python-libxml2              2.7.3.dfsg-1 Python bindings for the GNOME XML
ii  python-support              0.8.7        automated rebuilding support for P
ii  python-urlgrabber           3.1.0-4      A high-level cross-protocol url-gr

Versions of packages virtinst recommends:
ii  qemu                          0.10.1-1   fast processor emulator
ii  virement-viewer                   0.0.3-2    Displaying the graphical console o

virtinst suggests no packages.

-- no debconf information
-- 
 ,''`.
: :' :      Cyril Bouthors
`. `'         Debian.org
  `-




Changed Bug title to `virtinst: virt-install should provide --vncip=IP option' from `virtinst: virement-install should provide --vncip=IP option'. Request was from Cyril Bouthors <cyb@debian.org> to control@bugs.debian.org. (Tue, 24 Mar 2009 14:48:08 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://bugzilla.redhat.com/show_bug.cgi?id=493807. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Fri, 03 Apr 2009 08:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#521044; Package virtinst. (Fri, 03 Apr 2009 10:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Fri, 03 Apr 2009 10:00:13 GMT) Full text and rfc822 format available.

Message #14 received at 521044@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Cyril Bouthors <cyb@debian.org>, 521044@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#521044: virtinst: virement-install should provide --vncip=IP option
Date: Fri, 3 Apr 2009 11:48:19 +0200
tags 521044 + wontfix
thanks,

Here's upstream's reply:

For the VNC listen address, most people find it more convenient to set this up
system wide, so all VMs listen on the public address. You typically need to
setup security credentials for the server in the system wide config already, so
its easy to change the default listen address at the same time. On Xen this is
/etc/xen/xend-config.sxp, and for QEMU this is /etc/libvirt/qemu.conf

Cheers,
 -- Guido




Tags added: fixed-upstream Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Fri, 08 May 2009 06:42:04 GMT) Full text and rfc822 format available.

Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Sat, 21 Nov 2009 13:51:04 GMT) Full text and rfc822 format available.

Notification sent to Cyril Bouthors <cyb@debian.org>:
Bug acknowledged by developer. (Sat, 21 Nov 2009 13:51:04 GMT) Full text and rfc822 format available.

Message #21 received at 521044-done@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 521044-done@bugs.debian.org
Subject: Fixed in 0.500.0
Date: Sat, 21 Nov 2009 14:46:51 +0100
Package: virtinst
Version: 0.500.0-3

Hi,
this is fixed in 0.500.0 but not closed via the changelog.
Cheers,
 -- Guido




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 Dec 2009 07:37:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:39:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.